channels:
- conda-forge
- nodefaults
dependencies:
- black
- catch2
- clang-format
- click
- cmake>=3.24
- cmake-format
- conda
- conda-pack
- cookiecutter
- cruft
- cxx-compiler
- doxygen
- eigen
- git
- glab
- graphviz
- make
- mamba
- matplotlib
- meshio
- mpi4py
- nanobind>=2.0.0
- ninja
- numpy>=1.21
- numba!=0.55.2
- openmpi
- openssh
- petsc4py>=3.20.1
- scipy
- scikit-build
- scikit-build-core[pyproject]
- sortedcontainers
- pkgconfig
- pip
- pre-commit
- pybind11!=2.10.0
- pytest
- python=3.10
- setuptools>=61
- setuptools_scm>=6.2
- sqlite
- twine
- verstr>=0.1.2
- wheel
- yaml
- pip:
    - build
    - recommonmark
    - sphinx
    - sphinx-rtd-theme
    - sphinx-revealjs
    - sphinx-tabs
    - tomli
    - tomli-w
    - vtkwriters>=0.0.10
